from .template import Template


class Documents():
    description = (
        "Documents - это одна таблица со всеми документами. "
        "Вообще в концепции предполагалось, что таких таблиц должно быть "
        "много под каждый тип для удобства поиска. То есть отдельно таблица "
        "с паспортами, отдельно с правами, отдельно "
        "с какими-нибудь разрешениями и так далее. "
        "Что пока непонятно - документов может быть много разных."
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    check_date = "timestamp проверки"
    check_level = (
        "информация об уровне проверки. Документ может быть проверен как "
        "платформой, так и мета-сервисом, так и партнером мета-сервиса, а "
        "может быть и никем (просто загружен). Указывается, так как "
        "достоверность проверки разная. Документ, проверенный только на низком "
        "уровне, не принимается во внимание как имеющийся до прохождения более "
        "высокоуровневой проверки. Информацию об уровнях проверки можно "
        "посмотреть по словарю Requirements. В данной таблице хранится "
        "информация о наиболее высоком уровне проверки."
    )
    expire_date = "срок окончания действия документа."
    status = "активность на основе системы заявок"
    data_path = "Путь к документу"
    doc_type = (
        "тип документа (паспорт/паспорт 1 страница и т д) в соответствии с "
        "классификатором типов документов (см описание в Requirements)"
    )

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    company_id = (
        "идентификатор компании, к которой относится документ, если "
        "таковая есть (может не быть)"
    )
    user_id = (
        "уникальный идентификатор пользователя (конкретного клиентского "
        "аккаунта) являющегося владельцем данного документа"
    )
    ticket_status = (
        "id последнего актуального тикета, касающийся статуса. Если он "
        "меняет статус на закрытый - вызывается проверка, которая смотрит, "
        "нет ли другого открытого по пользователю."
    )
    checked_by = "userid проверившего"
