from .template import Template


class Orders():
    description = (
        "Orders - таблица с заказами"
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    status = "текущий статус заказа из возможных на платформе"
    title = "заголовок заказа"
    note = "задание к заказу"
    time_created = "время создания заказа"
    time_placed = "время размещения заказа"
    time_start = "время начала оказания услуги"
    time_start_real = ""
    time_start_predicted = ""
    time_finish_real = "фактическое время окончания (точное установленное время)"
    time_finish_predicted = "предварительное/расчетное время до окончания оказания услуги"
    real_price = "цена с учетом тарифа поставщика услуг по факту оказания услуги"
    predicted_price = "расчетная цена с учетом тарифа поставщика услуг"
    asap = "Срочный ли заказ"

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    ticket = ""
    service = (
        "спецификатор услуги провайдера, нужен для установления цены "
        "(id_service - уникальный идентификатор шаблона услуги, необходим "
        "для установления цены и исполнителей."
    )
    service_type = "тип заказа по классификатору услу"
    client = "клиент/аккаунт, который оплачивает все оказанные услуги"
    provider = (
        "уникальный идентификатор поставщика услуги/аккаунта, который "
        "оказывает услугу. Если несколько провайдеров собираются мета-сервисом "
        "в цепочку, где на уровне связи с клиентом нельзя установить одно "
        "ответственное лицо, то указывается вспомогательный мета-провайдер "
        "сервиса, и это означает, что мета-сервис несет ответственность перед "
        "пользователем за сборку услуги воедино."
    )
    receiver = "пользователь/аккаунт, который принимает оказываемые услуги"
    company = (
        "Идентификатор компании, к которой относится документ, если таковая "
        "есть (может не быть)"
    )
