from .template import Template


class Relationship():
    description = (
        "Relationship - описание связей "
        "(желательных - как имеющиеся договорные отношения, "
        "и нежелательных - как пожелание любой из сторон)"
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    neg_type = models.IntegerField(
        help_text="тип договорных отношений по его уникальному идентификатору"
    )
    requirements = models.CharField(
        max_length=150,
        help_text="код необходимого (самый строгий) для того, чтобы ресурс мог стать активным. Оно вставляется автоматом, в соответствии с профилем метасервиса. Далее, если кому-то из партнеров или пользователей надо строже - применяется более строгий вариант на данную связь."
    )
    status = models.CharField(
        max_length=150,
        help_text="(статус обработки заявки в системе заявок)"
    )

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    user_id_who = models.ForeignKey(
        get_user_model(),
        related_name="user_id_who",
        on_delete=models.DO_NOTHING,
        help_text="уникальный идентификатор инициатора договорных отношений"
    )
    user_id_whom = models.ForeignKey(
        get_user_model(),
        related_name="user_id_whom",
        on_delete=models.DO_NOTHING,
        help_text=" уникальный идентификатор того с кем связываются"
    )
    ticket_status = models.ForeignKey(
        Ticket,
        on_delete=models.DO_NOTHING,
        help_text="id заявки, по которой происходит проверка статуса relationship. State меняется только в результате изменений в заявке."
    )
