from .template import Template


class Resource():
    description = (
        "Resource/Список ресурсов – автомобили/дома/объекты сервиса"
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    resoure_type = models.CharField(
        max_length=10,
        help_text="определение типа ресурса по его уникальному идентификатору в соответствии с классификатором"
    )
    requirements = models.CharField(
        max_length=150,
        help_text="код необходимого (самый строгий) для того, чтобы ресурс мог стать активным"
    )
    status = models.CharField(
        max_length=150,
        help_text="статус ресурса в системе относительно прохождения проверок (activity_status) (может быть active только в том случае, если ticket, влияющий на статус - закрыт."
    )

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    ticket_status = models.ForeignKey(
        Ticket,
        on_delete=models.DO_NOTHING,
        help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю."
    )
    user_id = models.ForeignKey(
        get_user_model(),
        on_delete=models.DO_NOTHING,
        help_text="уникальный идентификатор ответственного (за состояние, доступность и так далее - то есть для договора) пользователя - идентификатор провайдера, по которому восстанавливается конкретный пользовательский аккаунт"
    )
