from .template import Template


class ServiceType():
    description = (
        "Перечень типов услуг"
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    codename = models.CharField(
        max_length=255,
        help_text="латинское наименование услуги в системе"
    )
    requirements = models.CharField(
        max_length=300,
        help_text="код требований на основе вспомогательных таблиц-справочников"
    )
    status = models.CharField(
        max_length=150,
        help_text="активность на основе системы заявок"
    )
    caption = models.CharField(
        max_length=255,
        help_text="наименование услуги для отображения пользователю"
    )
    description = models.TextField(
        blank=True,
        help_text="текстовое описание услуги"
    )
    link_agreement = models.CharField(
        max_length=400,
        help_text="ссылка на договор в вики об оказании услуги данного типа (аренда, перевозка и тп)"
    )
    price_type = models.CharField(
        max_length=150,
        help_text="ценообразование - код допустимых вариантов или код параметров, принимаемых во внимание и способ их учета (по сути хорошо закодировать формулу)"
    )
    company_comission = models.FloatField(
        help_text="Коммисия сервиса"
    )

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    ticket_status = models.ForeignKey(
        Ticket,
        on_delete=models.DO_NOTHING,
        null=True,
        help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю."
    )
