import re

from django.contrib.contenttypes.models import ContentType
from django.urls import reverse


def choose_support():
    return "support"


def parse_requirements(requirements: str):
    """
    Метод позволяет разобрать строку requirements в удобочитаемый вид.
    """
    return sorted(set(re.findall(r'\d{2}', requirements)))


def get_admin_url(self):
    """
    Возвращает URL-адрес текущего объекта в административной панели Django.

    Returns:
        str: URL-адрес текущего объекта в административной панели Django
    """
    content_type = ContentType.objects.get_for_model(self.__class__)
    return reverse("admin:%s_%s_change" % (content_type.app_label, content_type.model), args=(self.id,))
