from django.contrib.auth import get_user_model
from django.db import models

from dbsynce.models.servicetype import ServiceType


class RatingPos(models.Model):
    """
    RatingPos - это... FIXME: написать описание таблицы
    """

    id = models.IntegerField(
        primary_key=True
    )

    # ID METASERVICE
    id_metaservice = models.PositiveIntegerField(
        null=True,
        help_text="уникальный идентификатор мета-сервиса, необходимый для синхронизации данных. Если при синхронизации возникает конфликт (несовместимость) с другим сервисом, предлагается или форсировать изменения везде (если возможно), либо is_global выставляется как false."
    )

    # DATA
    count = models.IntegerField(
        help_text=""  # Написать описание поля
    )

    # OTHER
    is_global = models.CharField(
        max_length=1,
        default=False,
        help_text="доступно ли для хранения в глобальном сервисе/необходима синхронизация"
    )
    is_visible = models.CharField(
        max_length=1,
        default="f",
        help_text="доступно ли для планирования в цепочке с другими услугами в глобальном сервисе"
    )

    # FK
    user_who = models.ForeignKey(
        get_user_model(),
        related_name="rating_pos_user_who",
        on_delete=models.DO_NOTHING,
        help_text="уникальный идентификатор инициатора договорных отношений"
    )
    user_whom = models.ForeignKey(
        get_user_model(),
        related_name="rating_pos_user_whom",
        on_delete=models.DO_NOTHING,
        help_text=" уникальный идентификатор того с кем связываются"
    )
    servicetype = models.ForeignKey(
        ServiceType,
        on_delete=models.DO_NOTHING,
        help_text="тип оказываемой услуги по классификатору услуг сервиса"
    )

    class Meta:
        db_table = "rating_pos"
        verbose_name = "Положительная реакция"
        verbose_name_plural = "Положительные реакции"
